JAXBUtils.BridgeWrapper (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.jaxb

## Interface JAXBUtils.BridgeWrapper

- Enclosing class:
    JAXBUtils

      public static interface JAXBUtils.BridgeWrapper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `marshal​(Object elValue, XMLStreamWriter source, javax.xml.bind.attachment.AttachmentMarshaller m)` |
    `void` | `marshal​(Object elValue, StreamResult s1)` |
    `void` | `marshal​(Object elValue, Node source, javax.xml.bind.attachment.AttachmentMarshaller am)` |
    `Object` | `unmarshal​(InputStream source)` |
    `Object` | `unmarshal​(XMLStreamReader source, javax.xml.bind.attachment.AttachmentUnmarshaller am)` |
    `Object` | `unmarshal​(Node source, javax.xml.bind.attachment.AttachmentUnmarshaller am)` |

- - ### Method Detail

    - #### unmarshal

          Object unmarshal​(XMLStreamReader source,
                           javax.xml.bind.attachment.AttachmentUnmarshaller am)
                    throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### unmarshal

          Object unmarshal​(InputStream source)
                    throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### unmarshal

          Object unmarshal​(Node source,
                           javax.xml.bind.attachment.AttachmentUnmarshaller am)
                    throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### marshal

          void marshal​(Object elValue,
                       XMLStreamWriter source,
                       javax.xml.bind.attachment.AttachmentMarshaller m)
                throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### marshal

          void marshal​(Object elValue,
                       StreamResult s1)
                throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### marshal

          void marshal​(Object elValue,
                       Node source,
                       javax.xml.bind.attachment.AttachmentMarshaller am)
                throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`